io.undertow.websockets.core

## Class WebSocketMessages_$bundle

- java.lang.Object
- - io.undertow.websockets.core.WebSocketMessages_$bundle

All Implemented Interfaces:
  WebSocketMessages, Serializable

    @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
               date="2022-12-09T08:00:04-0300")
    public class WebSocketMessages_$bundle
    extends Object
    implements WebSocketMessages, Serializable

Warning this class consists of generated code.

See Also:
  Serialized Form

### Field Summary

Fields
`static WebSocketMessages_$bundle` `INSTANCE`

### Fields inherited from interface io.undertow.websockets.core.WebSocketMessages

`MESSAGES`

### Constructor Summary

Constructors
`protected` `WebSocketMessages_$bundle()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IOException` `badCompressedPayload(DataFormatException cause)`
`protected String` `badCompressedPayload$str()`
`IOException` `channelClosed()`
`protected String` `channelClosed$str()`
`WebSocketFrameCorruptedException` `continuationFrameOutsideFragmented()`
`protected String` `continuationFrameOutsideFragmented$str()`
`WebSocketFrameCorruptedException` `controlFrameWithPayloadLen1()`
`protected String` `controlFrameWithPayloadLen1$str()`
`WebSocketFrameCorruptedException` `extensionsNotAllowed(int rsv)`
`protected String` `extensionsNotAllowed$str()`
`UnsupportedOperationException` `extensionsNotSupported()`
`protected String` `extensionsNotSupported$str()`
`WebSocketFrameCorruptedException` `fragmentedControlFrame()`
`protected String` `fragmentedControlFrame$str()`
`WebSocketFrameCorruptedException` `frameNotMasked()`
`protected String` `frameNotMasked$str()`
`protected Locale` `getLoggingLocale()`
`WebSocketInvalidCloseCodeException` `invalidCloseFrameStatusCode(int statusCode)`
`protected String` `invalidCloseFrameStatusCode$str()`
`IllegalArgumentException` `invalidPayloadLengthForPing(long payloadLength)`
`protected String` `invalidPayloadLengthForPing$str()`
`UnsupportedEncodingException` `invalidTextFrameEncoding()`
`protected String` `invalidTextFrameEncoding$str()`
`String` `messageCloseWebSocket()`
`protected String` `messageCloseWebSocket$str()`
`String` `messageToBig(long maxMessageSize)`
`protected String` `messageToBig$str()`
`WebSocketFrameCorruptedException` `nonContinuationFrameInsideFragmented()`
`protected String` `nonContinuationFrameInsideFragmented$str()`
`IOException` `noWebSocketConnectionHeader()`
`protected String` `noWebSocketConnectionHeader$str()`
`IOException` `noWebSocketUpgradeHeader()`
`protected String` `noWebSocketUpgradeHeader$str()`
`protected Object` `readResolve()`
`WebSocketFrameCorruptedException` `reservedOpCodeInControlFrame(int opCode)`
`protected String` `reservedOpCodeInControlFrame$str()`
`WebSocketFrameCorruptedException` `reservedOpCodeInDataFrame(int opCode)`
`protected String` `reservedOpCodeInDataFrame$str()`
`IOException` `streamIsBroken()`
`protected String` `streamIsBroken$str()`
`WebSocketFrameCorruptedException` `toBigControlFrame()`
`protected String` `toBigControlFrame$str()`
`IllegalStateException` `unableToSendOnNewChannel()`
`protected String` `unableToSendOnNewChannel$str()`
`IllegalArgumentException` `unsupportedFrameType(WebSocketFrameType type)`
`protected String` `unsupportedFrameType$str()`
`IllegalStateException` `unsupportedOpCode(int opCode)`
`protected String` `unsupportedOpCode$str()`
`WebSocketHandshakeException` `unsupportedProtocol(String requestedSubprotocols, Collection<String> subprotocols)`
`protected String` `unsupportedProtocol$str()`
`IOException` `webSocketAcceptKeyMismatch(String dKey, String acceptKey)`
`protected String` `webSocketAcceptKeyMismatch$str()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final WebSocketMessages_$bundle INSTANCE

### Constructor Detail

#### WebSocketMessages_$bundle

    protected WebSocketMessages_$bundle()

### Method Detail

#### readResolve

    protected Object readResolve()

#### getLoggingLocale

    protected Locale getLoggingLocale()

#### channelClosed$str

    protected String channelClosed$str()

#### channelClosed

    public final IOException channelClosed()

Specified by:
  `channelClosed` in interface `WebSocketMessages`

#### invalidTextFrameEncoding$str

    protected String invalidTextFrameEncoding$str()

#### invalidTextFrameEncoding

    public final UnsupportedEncodingException invalidTextFrameEncoding()

Specified by:
  `invalidTextFrameEncoding` in interface `WebSocketMessages`

#### fragmentedControlFrame$str

    protected String fragmentedControlFrame$str()

#### fragmentedControlFrame

    public final WebSocketFrameCorruptedException fragmentedControlFrame()

Specified by:
  `fragmentedControlFrame` in interface `WebSocketMessages`

#### toBigControlFrame$str

    protected String toBigControlFrame$str()

#### toBigControlFrame

    public final WebSocketFrameCorruptedException toBigControlFrame()

Specified by:
  `toBigControlFrame` in interface `WebSocketMessages`

#### reservedOpCodeInControlFrame$str

    protected String reservedOpCodeInControlFrame$str()

#### reservedOpCodeInControlFrame

    public final WebSocketFrameCorruptedException reservedOpCodeInControlFrame(int opCode)

Specified by:
  `reservedOpCodeInControlFrame` in interface `WebSocketMessages`

#### controlFrameWithPayloadLen1$str

    protected String controlFrameWithPayloadLen1$str()

#### controlFrameWithPayloadLen1

    public final WebSocketFrameCorruptedException controlFrameWithPayloadLen1()

Specified by:
  `controlFrameWithPayloadLen1` in interface `WebSocketMessages`

#### reservedOpCodeInDataFrame$str

    protected String reservedOpCodeInDataFrame$str()

#### reservedOpCodeInDataFrame

    public final WebSocketFrameCorruptedException reservedOpCodeInDataFrame(int opCode)

Specified by:
  `reservedOpCodeInDataFrame` in interface `WebSocketMessages`

#### continuationFrameOutsideFragmented$str

    protected String continuationFrameOutsideFragmented$str()

#### continuationFrameOutsideFragmented

    public final WebSocketFrameCorruptedException continuationFrameOutsideFragmented()

Specified by:
  `continuationFrameOutsideFragmented` in interface `WebSocketMessages`

#### nonContinuationFrameInsideFragmented$str

    protected String nonContinuationFrameInsideFragmented$str()

#### nonContinuationFrameInsideFragmented

    public final WebSocketFrameCorruptedException nonContinuationFrameInsideFragmented()

Specified by:
  `nonContinuationFrameInsideFragmented` in interface `WebSocketMessages`

#### unsupportedOpCode$str

    protected String unsupportedOpCode$str()

#### unsupportedOpCode

    public final IllegalStateException unsupportedOpCode(int opCode)

Specified by:
  `unsupportedOpCode` in interface `WebSocketMessages`

#### unsupportedFrameType$str

    protected String unsupportedFrameType$str()

#### unsupportedFrameType

    public final IllegalArgumentException unsupportedFrameType(WebSocketFrameType type)

Specified by:
  `unsupportedFrameType` in interface `WebSocketMessages`

#### extensionsNotAllowed$str

    protected String extensionsNotAllowed$str()

#### extensionsNotAllowed

    public final WebSocketFrameCorruptedException extensionsNotAllowed(int rsv)

Specified by:
  `extensionsNotAllowed` in interface `WebSocketMessages`

#### unsupportedProtocol$str

    protected String unsupportedProtocol$str()

#### unsupportedProtocol

    public final WebSocketHandshakeException unsupportedProtocol(String requestedSubprotocols,
                                                                 Collection<String> subprotocols)

Specified by:
  `unsupportedProtocol` in interface `WebSocketMessages`

#### invalidPayloadLengthForPing$str

    protected String invalidPayloadLengthForPing$str()

#### invalidPayloadLengthForPing

    public final IllegalArgumentException invalidPayloadLengthForPing(long payloadLength)

Specified by:
  `invalidPayloadLengthForPing` in interface `WebSocketMessages`

#### extensionsNotSupported$str

    protected String extensionsNotSupported$str()

#### extensionsNotSupported

    public final UnsupportedOperationException extensionsNotSupported()

Specified by:
  `extensionsNotSupported` in interface `WebSocketMessages`

#### invalidCloseFrameStatusCode$str

    protected String invalidCloseFrameStatusCode$str()

#### invalidCloseFrameStatusCode

    public final WebSocketInvalidCloseCodeException invalidCloseFrameStatusCode(int statusCode)

Specified by:
  `invalidCloseFrameStatusCode` in interface `WebSocketMessages`

#### streamIsBroken$str

    protected String streamIsBroken$str()

#### streamIsBroken

    public final IOException streamIsBroken()

Specified by:
  `streamIsBroken` in interface `WebSocketMessages`

#### frameNotMasked$str

    protected String frameNotMasked$str()

#### frameNotMasked

    public final WebSocketFrameCorruptedException frameNotMasked()

Specified by:
  `frameNotMasked` in interface `WebSocketMessages`

#### noWebSocketUpgradeHeader$str

    protected String noWebSocketUpgradeHeader$str()

#### noWebSocketUpgradeHeader

    public final IOException noWebSocketUpgradeHeader()

Specified by:
  `noWebSocketUpgradeHeader` in interface `WebSocketMessages`

#### noWebSocketConnectionHeader$str

    protected String noWebSocketConnectionHeader$str()

#### noWebSocketConnectionHeader

    public final IOException noWebSocketConnectionHeader()

Specified by:
  `noWebSocketConnectionHeader` in interface `WebSocketMessages`

#### webSocketAcceptKeyMismatch$str

    protected String webSocketAcceptKeyMismatch$str()

#### webSocketAcceptKeyMismatch

    public final IOException webSocketAcceptKeyMismatch(String dKey,
                                                        String acceptKey)

Specified by:
  `webSocketAcceptKeyMismatch` in interface `WebSocketMessages`

#### messageToBig$str

    protected String messageToBig$str()

#### messageToBig

    public final String messageToBig(long maxMessageSize)

Specified by:
  `messageToBig` in interface `WebSocketMessages`

#### badCompressedPayload$str

    protected String badCompressedPayload$str()

#### badCompressedPayload

    public final IOException badCompressedPayload(DataFormatException cause)

Specified by:
  `badCompressedPayload` in interface `WebSocketMessages`

#### unableToSendOnNewChannel$str

    protected String unableToSendOnNewChannel$str()

#### unableToSendOnNewChannel

    public final IllegalStateException unableToSendOnNewChannel()

Specified by:
  `unableToSendOnNewChannel` in interface `WebSocketMessages`

#### messageCloseWebSocket$str

    protected String messageCloseWebSocket$str()

#### messageCloseWebSocket

    public final String messageCloseWebSocket()

Specified by:
  `messageCloseWebSocket` in interface `WebSocketMessages`